Name:		ninja
Version:	1.7.2
Release:	%mkrel 1
Group:		Development/Tools
Summary:	A small build system with a focus on speed

License:	ASL 2.0
URL:		https://ninja-build.org/
Source0:	https://github.com/ninja-build/ninja/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	ninja.vim
Source2:	macros.ninja

BuildRequires:	asciidoc
BuildRequires:	gtest-devel
BuildRequires:	re2c
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	python3

Obsoletes:	ninja-build < 1.7.2
Provides:	ninja-build = %{version}-%{release}

%description
Ninja is a small build system with a focus on speed. It differs from other
build systems in two major respects: it is designed to have its input files
generated by a higher-level build system, and it is designed to run builds as
fast as possible.

%prep
%setup -q

%build
%setup_compile_flags
./configure.py --bootstrap --verbose --with-python=%{__python3}

./ninja -v manual
./ninja -v ninja_test

%check
./ninja_test

%install
# TODO: Install ninja_syntax.py?
install -D -p -m 755 ninja %{buildroot}%{_bindir}/ninja
install -D -p -m 644 misc/bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/ninja-bash-completion
install -D -p -m 644 misc/ninja-mode.el %{buildroot}%{_datadir}/emacs/site-lisp/ninja-mode.el
install -D -p -m 644 misc/ninja.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax/ninja.vim
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/vim/vimfiles/ftdetect/ninja.vim
install -D -p -m 644 misc/zsh-completion %{buildroot}%{_datadir}/zsh/site-functions/_ninja
install -D -p -m 644 %{SOURCE2} %{buildroot}%{_rpmconfigdir}/macros.d/macros.ninja

%files
%doc README doc/manual.html
%license COPYING
%{_bindir}/ninja
%{_sysconfdir}/bash_completion.d/ninja-bash-completion
%{_datadir}/emacs/site-lisp/ninja-mode.el
%{_datadir}/vim/vimfiles/syntax/ninja.vim
%{_datadir}/vim/vimfiles/ftdetect/ninja.vim
%{_datadir}/zsh/site-functions/_ninja
%{_rpmconfigdir}/macros.d/macros.ninja


%changelog
* Thu Jan 19 2017 wally <wally> 1.7.2-1.mga6
+ Revision: 1082469
- new version 1.7.2
- fix URL

* Sun Nov 20 2016 daviddavid <daviddavid> 1.6.0-4.mga6
+ Revision: 1068460
- add RPM macro

* Thu Oct 13 2016 cjw <cjw> 1.6.0-3.mga6
+ Revision: 1060668
- revert unnecessary package name change

* Tue Feb 16 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 961757
- Mageia 6 Mass Rebuild

* Wed Sep 02 2015 shlomif <shlomif> 1.6.0-1.mga6
+ Revision: 872184
- New version 1.6.0

* Sat Jun 20 2015 pterjan <pterjan> 1.5.3-1.mga6
+ Revision: 835762
- 1.5.3

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-3.mga5
+ Revision: 742556
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.1-2.mga5
+ Revision: 682891
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 pterjan <pterjan> 1.5.1-1.mga5
+ Revision: 671268
- 1.5.1

* Fri Apr 11 2014 pterjan <pterjan> 1.4.0-1.mga5
+ Revision: 613372
- imported package ninja

